<?php
/**
 * 商品分类管理
 * $Id: product_category_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$category_mst = ArticleCategoryMst::getById($id);
if ($category_mst == null) {
	$category_mst = new ArticleCategoryMst();
	$category_mst->is_valid = true;
}
$title = $category_mst->title;
$is_valid = $category_mst->is_valid;
$upload_thumbnail = ParamUtil::getRequestString("upload_thumbnail");

//用户权限
$user_status_list = UserStatus::getList();
$user_status_array = explode("|", $category_mst->user_status);

// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/article_category_edit_input.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_data";
$layout_pages["middle"] = "article_category_edit_input.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;